Skip to content

Get identity information for all available schema

Request

The API returns a list of all schemas in the specific {data-partition-Id} and the list of available shared schemas in chronological order based on "dateCreated". If filter criteria is specific then the schemas matching the criteria will be returned. If "latestestVersion=true", then result will only contain the latest version of the schema for a given Authority, Source & Entity. Required roles 'users.datalake.viewers' or 'users.datalake.editors' or 'users.datalake.admins'

Security
bearer
Query
authoritystring

pass an optional string to search for a specific authority

Default:"*"
Example:authority=osdu
sourcestring

pass an optional string to search for a specific source

Default:"*"
Example:source=wks
entityTypestring

pass an optional string to search for a specific entityType

Default:"*"
Example:entityType=wellbore
schemaVersionMajorstring

pass an optional string to search for a specific schemaVersionMajor

schemaVersionMinorstring

pass an optional string to search for a specific schemaVersionMinor

schemaVersionPatchstring

pass an optional string to search for a specific schemaVersionPatch

statusstring(Schema Status)

The schema status specification

Enum:"PUBLISHED""DEVELOPMENT""OBSOLETE"
scopestring(Scope)

The scope or schema visibility specification

Enum:"SHARED""INTERNAL"
latestVersionboolean

if True, only return the latest version

Default:false
Example:latestVersion=true
limitinteger, [ 0 .. 100 ]

maximum number of schema records to return

Example:limit=10
offsetinteger, >= 0

number of records to skip for pagination

Example:offset=0
Headers
data-partition-idstringrequired

desired data partition id

curl -i -X GET \
  'https://as5.api.enterprisedata.slb.com/api/schema-service/v1/schema?authority=osdu&source=wks&entityType=wellbore&schemaVersionMajor=string&schemaVersionMinor=string&schemaVersionPatch=string&status=PUBLISHED&scope=SHARED&latestVersion=true&limit=10&offset=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'data-partition-id: string'

Responses

Successful response

Bodyapplication/json
schemaInfosArray of objects(Schema Info)
offsetinteger, >= 0(Offset)

The offset for the next query

countinteger, >= 0(Count)

The number of schema versions in this response

totalCountinteger, >= 0(Count)

The total number of entity type codes in the repositories

Response
{ "schemaInfos": [ { … } ], "offset": 0, "count": 0, "totalCount": 0 }